stages:
  - clone


deploy:
  stage: clone
  script:
           - echo "$gitpipeline" > bastion.pem # Add the SSH private key
           - chmod 600 bastion.pem # Set appropriate permissions on the SSH key
           - eval "$(ssh-agent -s)"
           - ssh-add bastion.pem
           - ssh -o "StrictHostKeyChecking=no" -i  bastion.pem  ubuntu@13.39.50.232 "sudo apt install -y git"
           - ssh -i bastion.pem  ubuntu@13.39.50.232 "mkdir gitpipe"
           - ssh -i bastion.pem  ubuntu@13.39.50.232 "cd gitpipe"
           - ssh -i bastion.pem  ubuntu@13.39.50.232 "ssh-keyscan -H gitlab.com >> ~/.ssh/known_hosts"
           - ssh  -o "StrictHostKeyChecking=no" -i  bastion.pem  ubuntu@13.39.50.232 "git clone git@gitlab.com:contact.maryem.zouari/git_pipeline.git"
           - ssh -i  bastion.pem  ubuntu@13.39.50.232 "ls"
  only:
    - main


